var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import { createStyles, withStyles } from '@material-ui/core/styles';
import { Button, ConfirmDialog } from '../index';
var styles = function (theme) { return createStyles({}); };
var ConfirmButton = /** @class */ (function (_super) {
    __extends(ConfirmButton, _super);
    function ConfirmButton(props) {
        var _this = _super.call(this, props) || this;
        _this.handleOnButtonClick = function () {
            _this.setState({
                dialogOpen: true,
            });
        };
        _this.handleOnDialogClose = function () {
            _this.setState({
                dialogOpen: false,
            });
        };
        _this.state = {
            dialogOpen: false,
        };
        return _this;
    }
    ConfirmButton.prototype.render = function () {
        var _a = this.props, children = _a.children, title = _a.title, message = _a.message, onConfirm = _a.onConfirm, onRefuse = _a.onRefuse, restProps = __rest(_a, ["children", "title", "message", "onConfirm", "onRefuse"]);
        return (React.createElement(React.Fragment, null,
            React.createElement(Button, __assign({}, restProps, { key: "confirm-button-button", onClick: this.handleOnButtonClick }), children),
            React.createElement(ConfirmDialog, { key: "confirm-button-dialog", open: this.state.dialogOpen, title: title, message: message, onPositiveButtonClick: onConfirm, onNegativeButtonClick: onRefuse, onClose: this.handleOnDialogClose })));
    };
    return ConfirmButton;
}(React.Component));
export default withStyles(styles)(ConfirmButton);
//# sourceMappingURL=ConfirmButton.js.map