import * as React from 'react';
import { Theme, WithStyles } from '@material-ui/core/styles';
import { PaymentSource } from './index';
import { Props as ButtonProps } from '../Button';
import { DefaultProps } from '../index';
interface ComponentTexts {
    title: string;
    cardNumber?: string;
    expirationDate?: string;
    cvc?: string;
    postalCode?: string;
    save?: string;
}
interface ComponentProps {
    texts: ComponentTexts;
    disableCloseButton?: boolean;
    PayButtonProps?: Partial<ButtonProps>;
    onCardSaved(pS: PaymentSource): void;
    onClose?(): void;
}
export declare type Props = ComponentProps & WithStyles<typeof styles>;
declare const styles: (theme: Theme) => Record<"input" | "label" | "root" | "titleContainer" | "actionsContainer" | "stripeLogo" | "saveButton", import("@material-ui/core/styles/withStyles").CSSProperties | import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}> | ((props: {}) => import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}>)>;
declare const _default: React.ComponentType<Pick<Pick<Props, "classes" | "onClose" | "PayButtonProps" | "onCardSaved" | "disableCloseButton"> & Partial<Pick<Props, "texts">> & Partial<Pick<DefaultProps<Props, "texts">, never>>, "onClose" | "texts" | "PayButtonProps" | "onCardSaved" | "disableCloseButton"> & import("@material-ui/core").StyledComponentProps<"input" | "label" | "root" | "titleContainer" | "actionsContainer" | "stripeLogo" | "saveButton">>;
export default _default;
