import * as React from 'react';
import { Theme, WithStyles } from '@material-ui/core/styles';
import { CheckboxProps } from '../index';
declare type ComponentProps = {
    className?: string;
} & Pick<CheckboxProps, 'checked' | 'error' | 'mode' | 'name' | 'placeholder' | 'onChange'>;
export declare type Props = ComponentProps & WithStyles<typeof styles>;
declare const styles: (theme: Theme) => Record<"collapse" | "checkbox" | "root" | "enteredCollapse", import("@material-ui/core/styles/withStyles").CSSProperties | import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}> | ((props: {}) => import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}>)>;
declare const _default: React.ComponentType<Pick<Props, "error" | "name" | "className" | "placeholder" | "onChange" | "checked" | "mode"> & import("@material-ui/core/styles").StyledComponentProps<"collapse" | "checkbox" | "root" | "enteredCollapse">>;
export default _default;
