import * as React from 'react';
import { Theme, WithStyles } from '@material-ui/core/styles';
import { TypographyProps } from '@material-ui/core/Typography';
import { ButtonAction, DefaultProps } from '../index';
declare type ComponentProps = {
    title?: string;
    expanded?: boolean;
    withSummary?: boolean;
    withIcon?: boolean;
    actions?: ButtonAction[];
    className?: string;
    PanelSummaryView?: React.ReactElement<{}>;
    TitleProps?: TypographyProps;
    onChange?(e: React.ChangeEvent<HTMLInputElement>, expanded: boolean): void;
};
export declare type Props = ComponentProps & WithStyles<typeof styles>;
declare const styles: (theme: Theme) => Record<"summary" | "text" | "content" | "root" | "summaryContent" | "summaryContentExpanded" | "panel" | "expandedPanel", import("@material-ui/core/styles/withStyles").CSSProperties | import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}> | ((props: {}) => import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}>)>;
declare const _default: React.ComponentType<Pick<Pick<Props, "title" | "expanded" | "className" | "classes" | "onChange" | "actions" | "PanelSummaryView" | "TitleProps"> & Partial<Pick<Props, "withSummary" | "withIcon">> & Partial<Pick<DefaultProps<Props, "withSummary" | "withIcon">, never>>, "title" | "expanded" | "className" | "onChange" | "actions" | "withSummary" | "withIcon" | "PanelSummaryView" | "TitleProps"> & import("@material-ui/core/styles").StyledComponentProps<"summary" | "text" | "content" | "root" | "summaryContent" | "summaryContentExpanded" | "panel" | "expandedPanel">>;
export default _default;
