import * as React from 'react';
import { PropTypes } from '@material-ui/core';
import { WithStyles, Theme } from '@material-ui/core/styles';
declare type ComponentProps = {
    title: string;
    message: string;
    className?: string;
    color?: PropTypes.Color & string;
};
export declare type Props = ComponentProps & WithStyles<typeof styles>;
declare const styles: (theme: Theme) => Record<"message" | "main" | "title" | "root" | "popover" | "topBar" | "closeButton" | "closeIcon", import("@material-ui/core/styles/withStyles").CSSProperties | import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}> | ((props: {}) => import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}>)>;
declare const _default: React.ComponentType<Pick<Props, "message" | "title" | "color" | "className"> & import("@material-ui/core").StyledComponentProps<"message" | "main" | "title" | "root" | "popover" | "topBar" | "closeButton" | "closeIcon">>;
export default _default;
