import * as React from 'react';
import { Theme, WithStyles } from '@material-ui/core/styles';
import { DefaultProps } from '../index';
interface ComponentProps {
    label?: string | React.ReactNode;
    value?: string | number;
    variant?: 'row' | 'column';
    withBoldTitle?: boolean;
    className?: string;
}
export declare type Props = ComponentProps & WithStyles<typeof styles>;
declare const styles: (theme: Theme) => Record<"bold" | "row" | "root" | "labelValue" | "labelTitle", import("@material-ui/core/styles/withStyles").CSSProperties | import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}> | ((props: {}) => import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}>)>;
declare const _default: React.ComponentType<Pick<Pick<Props, "label" | "className" | "classes"> & Partial<Pick<Props, "variant" | "value" | "withBoldTitle">> & Partial<Pick<DefaultProps<Props, "variant" | "value" | "withBoldTitle">, never>>, "label" | "className" | "variant" | "value" | "withBoldTitle"> & import("@material-ui/core/styles").StyledComponentProps<"bold" | "row" | "root" | "labelValue" | "labelTitle">>;
export default _default;
