import LocalizedStrings from 'react-localization';
export default new LocalizedStrings({
    en: {
        expireAt: 'Expire at {expirationDate}',
        error: 'An error has occured when trying to fetch your payment methods. Please retry',
        retry: 'Retry',
        addPaymentSource: 'Add card',
        deletePaymentSource: 'Remove card',
        deletePaymentSourceConfirm: {
            title: 'Are you sure?',
            message: 'Do you want remove this card?',
        },
        alert: {
            title: 'Error',
            message: 'An unexpected error has occurred, please retry',
            button: 'Ok',
        },
    },
    it: {
        expireAt: 'Scade il {expirationDate}',
        error: 'Si è verificato un errore nel recupero dei tuoi metodi di pagamento. Per favore riprova',
        retry: 'Riprova',
        addPaymentSource: 'Aggiungi carta',
        deletePaymentSource: 'Rimuovi carta',
        deletePaymentSourceConfirm: {
            title: 'Sei sicuro?',
            message: 'Sei sicuro di voler rimuovere questa carta?',
        },
        alert: {
            title: 'Errore',
            message: 'Si è verificato un errore imprevisto, per favore riprova',
            button: 'Ok',
        },
    },
});
//# sourceMappingURL=PaymentSourcesSelect.strings.js.map