import * as React from 'react';
import { DefaultProps, DialogProps } from '../index';
declare type ComponentProps = {
    message: string;
    positiveActionText?: string;
    negativeActionText?: string;
    onPositiveButtonClick?(): void;
    onNegativeButtonClick?(): void;
};
export declare type Props = ComponentProps & Omit<DialogProps, keyof ComponentProps | 'classes' | 'children'>;
declare class ConfirmDialog extends React.Component<Props> {
    static defaultProps: DefaultProps<Props, 'positiveActionText' | 'negativeActionText'>;
    private handlePositiveButtonClick;
    private handleNegativeButtonClick;
    render(): JSX.Element;
}
export default ConfirmDialog;
