export { default, Props } from './CreditCardForm';
export declare enum PaymentSourceType {
    CreditCard = "CARD"
}
export interface PaymentSourceCard {
    brand: string;
    last4: string;
    expireMonth: number;
    expireYear: number;
}
export interface PaymentSource {
    id?: string;
    isPreferred?: boolean;
    type?: PaymentSourceType;
    card?: PaymentSourceCard;
}
