import * as React from 'react';
import { Moment } from 'moment';
import { TypographyProps } from '@material-ui/core/Typography';
import { DefaultProps } from '../index';
declare type ComponentProps = {
    children?: number | string | Moment;
    format?: 'date' | 'time' | 'datetime' | 'day' | string;
};
export declare type Props = ComponentProps & TypographyProps;
declare class DateTypography extends React.Component<Props> {
    static defaultProps: DefaultProps<Props, 'format'>;
    render(): JSX.Element;
}
export default DateTypography;
