var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import { default as Typography } from '@material-ui/core/Typography';
import { DateUtils } from '../utils';
var FormatConfig = {
    date: 'DD/MM/YYYY',
    day: 'DD/MM',
    time: 'HH:mm',
    datetime: 'DD/MM/YYYY HH:mm',
};
var DateTypography = /** @class */ (function (_super) {
    __extends(DateTypography, _super);
    function DateTypography() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DateTypography.prototype.render = function () {
        var _a = this.props, children = _a.children, format = _a.format, restProps = __rest(_a, ["children", "format"]);
        return (React.createElement(Typography, __assign({}, restProps), DateUtils.format(children === null ? undefined : children, FormatConfig[format] ? FormatConfig[format] : format)));
    };
    DateTypography.defaultProps = {
        format: 'datetime',
    };
    return DateTypography;
}(React.Component));
export default DateTypography;
//# sourceMappingURL=DateTimeTypography.js.map