var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from 'react';
import * as classNames from 'classnames';
import { createStyles, withStyles } from '@material-ui/core/styles';
import Collapse from '@material-ui/core/Collapse';
import { Checkbox } from '../index';
var styles = function (theme) {
    return createStyles({
        root: {},
        checkbox: {},
        collapse: {},
        enteredCollapse: {},
    });
};
var ExpansionCheckbox = /** @class */ (function (_super) {
    __extends(ExpansionCheckbox, _super);
    function ExpansionCheckbox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ExpansionCheckbox.prototype.render = function () {
        var _a = this.props, name = _a.name, checked = _a.checked, placeholder = _a.placeholder, mode = _a.mode, error = _a.error, onChange = _a.onChange, className = _a.className, classes = _a.classes;
        return (React.createElement("div", { className: classNames(classes.root, className) },
            React.createElement(Checkbox, { name: name, checked: checked, placeholder: placeholder, mode: mode, error: error, onChange: onChange, className: classes.checkbox }),
            React.createElement(Collapse, { in: checked, unmountOnExit: true, classes: { entered: classes.enteredCollapse }, className: classes.collapse }, this.props.children)));
    };
    return ExpansionCheckbox;
}(React.Component));
export default withStyles(styles)(ExpansionCheckbox);
//# sourceMappingURL=ExpansionCheckbox.js.map