import * as React from 'react';
import { WithStyles, Theme } from '@material-ui/core/styles';
import { DefaultProps, FeedbackViewVariant } from '../index';
declare type ComponentProps = {
    title: string;
    open: boolean;
    onClose(): void;
    message?: string;
    actionText?: string;
    variant?: FeedbackViewVariant;
    autoHideDuration?: number;
    onExited?(): void;
};
export declare type Props = ComponentProps & WithStyles<typeof styles>;
declare const styles: (theme: Theme) => Record<never, import("@material-ui/core/styles/withStyles").CSSProperties | import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}> | ((props: {}) => import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}>)>;
declare const _default: React.ComponentType<Pick<Pick<Props, "open" | "message" | "title" | "classes" | "onExited" | "onClose"> & Partial<Pick<Props, "variant" | "actionText" | "autoHideDuration">> & Partial<Pick<DefaultProps<Props, "variant" | "actionText" | "autoHideDuration">, never>>, "open" | "message" | "title" | "variant" | "onExited" | "onClose" | "actionText" | "autoHideDuration"> & import("@material-ui/core/styles").StyledComponentProps<never>>;
export default _default;
