import * as React from 'react';
import { Theme, WithStyles } from '@material-ui/core/styles';
import { DefaultProps } from '../index';
interface ComponentProps {
    visible?: boolean;
    message?: string;
    className?: string;
    progressSize?: number;
}
export declare type Props = ComponentProps & WithStyles<typeof styles>;
declare const styles: (theme: Theme) => Record<"root" | "progressContainer", import("@material-ui/core/styles/withStyles").CSSProperties | import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}> | ((props: {}) => import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}>)>;
declare const _default: React.ComponentType<Pick<Pick<Props, "message" | "className" | "classes"> & Partial<Pick<Props, "visible" | "progressSize">> & Partial<Pick<DefaultProps<Props, "visible" | "progressSize">, never>>, "message" | "visible" | "className" | "progressSize"> & import("@material-ui/core/styles").StyledComponentProps<"root" | "progressContainer">>;
export default _default;
