import * as React from 'react';
import { Theme, WithStyles } from '@material-ui/core/styles';
import { SvgIconProps } from '@material-ui/core/SvgIcon';
import { DefaultProps } from '../index';
declare type ComponentProps = {
    Icon: React.ComponentType<SvgIconProps>;
    message?: string;
    placement?: 'bottom-end' | 'bottom-start' | 'bottom' | 'left-end' | 'left-start' | 'left' | 'right-end' | 'right-start' | 'right' | 'top-end' | 'top-start' | 'top';
    className?: string;
};
export declare type Props = ComponentProps & WithStyles<typeof styles>;
declare const styles: (theme: Theme) => Record<never, import("@material-ui/core/styles/withStyles").CSSProperties | import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}> | ((props: {}) => import("@material-ui/core/styles/withStyles").CreateCSSProperties<{}>)>;
declare const _default: React.ComponentType<Pick<Pick<Props, "message" | "className" | "classes" | "Icon"> & Partial<Pick<Props, "placement">> & Partial<Pick<DefaultProps<Props, "placement">, never>>, "message" | "className" | "placement" | "Icon"> & import("@material-ui/core/styles").StyledComponentProps<never>>;
export default _default;
