var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from 'react';
import { createStyles, withStyles } from '@material-ui/core/styles';
import Tooltip from '@material-ui/core/Tooltip';
var styles = function (theme) { return createStyles({}); };
var IconHelper = /** @class */ (function (_super) {
    __extends(IconHelper, _super);
    function IconHelper(props) {
        return _super.call(this, props) || this;
    }
    IconHelper.prototype.render = function () {
        var _a = this.props, Icon = _a.Icon, message = _a.message, placement = _a.placement, className = _a.className;
        return (React.createElement("div", { className: className },
            React.createElement(Tooltip, { title: message, placement: placement },
                React.createElement(Icon, null))));
    };
    IconHelper.defaultProps = {
        placement: 'top',
    };
    return IconHelper;
}(React.Component));
export default withStyles(styles)(IconHelper);
//# sourceMappingURL=TooltipIcon.js.map