import * as moment from 'moment';
var DateUtils = /** @class */ (function () {
    function DateUtils() {
    }
    DateUtils.format = function (date, format) {
        if (format === void 0) { format = 'DD/MM/YYYY'; }
        if (typeof date === 'undefined') {
            return '-';
        }
        else if (typeof date === 'number') {
            date = moment(date);
        }
        else if (typeof date === 'string') {
            date = moment(parseInt(date, 10));
        }
        return date.utc().format(format);
    };
    DateUtils.toMoment = function (date) {
        return moment(date).utc();
    };
    return DateUtils;
}());
export default DateUtils;
//# sourceMappingURL=Date.utils.js.map